Bug 1880083 - [v2v][ui]Import wizard should block VMs using UEFI
Summary: [v2v][ui]Import wizard should block VMs using UEFI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Filip Krepinsky
QA Contact: Maayan Hadasi
URL:
Whiteboard: ux_issue
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-17 15:53 UTC by Fabien Dupont
Modified: 2020-11-29 09:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: VMware VMs' with UEFI would fail while importing Fix: There is an early error in the Import Wizard to prevent such actions Result:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:42:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6751 0 None closed Bug 1880083: do not support VMware import for VMs with uefi 2020-11-25 16:11:46 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:42:33 UTC

Description Fabien Dupont 2020-09-17 15:53:30 UTC
Description of problem:

Kubevirt doesn't support UEFI, but the import wizard doesn't block import of VMware VMs with EFI firmware. This should be blocked in the UI, or at least warned, to not create unusable VMs.

The property of VMware side is "Vm.Config.Firmware" and the value is either "bios" or "efi". Only "bios" should be allowed.


Version-Release number of selected component (if applicable): 4.5.8

Comment 1 Tomas Jelinek 2020-09-21 08:44:06 UTC
Leaving this on the blocker list since UEFI is very common and would cause lots of frustration to let the user fail.

Comment 2 Tomas Jelinek 2020-09-24 05:51:48 UTC
dropping from blocker list

Comment 5 Maayan Hadasi 2020-10-11 15:08:28 UTC
Verified as Fixed

OCP 4.6.0-fc.9
CNV 2.5.0
CSV createdAt: "2020-10-07 18:21:34"


Verification steps:
1. Edit VMware VM settings: VM Options -> Boot Options -> Firmware: EFI
2. Try to import it with wizard to CNV

Results:
Error message appears after selecting VM to import:
"VM has unsupported firmware: efi"
By pressing on 'Next' button - the following error message will be displayed:
"Some fields are not correct
Please select a valid VM."

Comment 7 errata-xmlrpc 2020-10-27 16:42:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.